Page MenuHomePhabricator

Scale: shorten welcome survey retention window
Closed, ResolvedPublic

Description

To make the process of deploying Growth features easier, we are consolidating how the welcome survey links to our data retention policies via T252572: Scale: update survey privacy link. The policy that we'll link to is the one that applies to Growth team EventLogging data, which can be kept for 270 days. Right now, the welcome survey data (as governed by the legacy survey privacy statement) can be kept for one year. In T208369: Welcome survey: anonymize data after one year, we implemented this policy.

With this task, we want to shorten our window to 270 days, but do the same activity in terms of aggregation and deletion. This should not affect what data we aggregate -- just that we need to make sure to aggregate and delete it sooner in its existence. This work will probably be done by @Tgr and @nettrom_WMF.

Event Timeline

Change 609226 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/puppet@production] GrowthExperiments: shorten welcome survey retention window

https://gerrit.wikimedia.org/r/c/operations/puppet/ /609226

Tgr added a comment.Jul 2 2020, 7:35 PM

@nettrom_WMF with the patch, the script will delete all data older than 240 days (and run twice a month, so there is a buffer for it failing once). If that's problematic, we can reduce the buffer and make the script run more often.

Tgr claimed this task.Jul 2 2020, 7:36 PM

@Tgr : that setup works great for me, thanks!

Change 609226 merged by Giuseppe Lavagetto:
[operations/puppet@production] GrowthExperiments: shorten welcome survey retention window

https://gerrit.wikimedia.org/r/609226

The script will run next on the 15th.

Checked - no welcome-survey responses older than 240d (for Aug 5, 2020 it's Dec 4 2019) are present.

Moving to PM review to inform that the task is done (did not see any issues).

MMiller_WMF closed this task as Resolved.Thu, Aug 6, 4:00 PM

Thank you!